#include "programManager.h"

int main(int argc, char *argv[])
{
    ProgramManager mainProgram;
    Settings settings;
    int res = manageParameter(settings, argc, argv);
    if(res == -1)
        return 0;
    else if(res != 0) {
        if(settings.debugMode)
            std::cout << " => Error: Das Auswerten der Parameter ist fehlgeschlagen!" << std::endl;
        return res;
    } else {
        if( (res = mainProgram.start(&settings)) != 0 )
            std::cout << (" => Entschuldigung, ein Fehler ist aufgetreten!\n    Bei wiederholtem Auftreten verwenden Sie -d, --debug für mehr Infos.") << std::endl;
        return res;
    }
}
